fFind(3)

NAME
fFind - find a file lock.

SYNOPSIS
#include <util/ulocks.h> NEOERR *fFind(int *plock, const char *file);

ARGUMENTS
plock - place for lock.
file - path of file to use as lock.

DESCRIPTION
Find a file identified by the path <file>, and returns a lock identifier for it in <plock>. If the file doesn't exist, returns true. MT-Level: Safe.

RETURN VALUE
plock - set to lock identifier.

SEE ALSO
mCreate(3), fCreate(3), mUnlock(3), fUnlock(3), cBroadcast(3), cSignal(3), fFind(3), cDestroy(3), cCreate(3), mDestroy(3), cWait(3), fLock(3), fDestroy(3), mLock